using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace Models
{
    /// <summary>
    /// 房间设备实时信息
    /// </summary>
    [Table("TBL_ROOM_REAL_DEV_INFO"), Comment("房间设备实时信息 房间设备实时信息由主机上报，表示房间目前真实状态  ")]

    public class TBL_ROOM_REAL_DEV_INFO
    {
        /// <summary>
        /// 自增id
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        /// <summary>
        ///    房间ID
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间ID")]
        public int ROOM_ID { get; set; }

        /// <summary>
        ///    房间ID old
        /// </summary>
        [Column(TypeName = "int"), Comment("房间 old ID")]
        public int ROOM_OLD_ID { get; set; }

        /// <summary>
        ///    PMS房态
        /// </summary>
        [Column(TypeName = "int"), Comment("PMS房态")]
        public int ROOM_STATUS_BY_PMS { get; set; }

        /// <summary>
        ///    PMS房态
        /// </summary>
        [ Column(TypeName = "int"), Comment("PMS房态")]
        public int POWER_STATUS { get; set; }


        /// <summary>
        /// 取电状态最后一次改变时间
        /// </summary>

        [Required, Column(TypeName = "datetime"), Comment("取电状态最后一次改变时间")]

        public DateTime? LAST_PWR_STAS_CHG { get; set; }


        /// <summary>
        ///    门锁电量
        /// </summary>
        [ Column(TypeName = "int"), Comment("门锁电量")]
        public int LOCKER_BATT_LEVEL { get; set; }


        /// <summary>
        ///    门锁状态
        /// </summary>
        [ Column(TypeName = "int"), Comment("门锁状态")]
        public int LOCKER_STATUS { get; set; }



        /// <summary>
        ///    门锁状态最后一次改变时间
        /// </summary>
        [Column(TypeName = "datetime"), Comment("门锁状态最后一次改变时间")]
        public DateTime? LOCKER_STAS_LAST_CHG { get; set; }

        /// <summary>
        ///    服务信息
        /// </summary>
        [ Column(TypeName = "int"), Comment("服务信息")]
        public int SERVICE_REQUEST_INFO { get; set; }



        /// <summary>
        ///    服务信息最后一次改变状态
        /// </summary>
        [ Column(TypeName = "datetime"), Comment("服务信息最后一次改变状态")]
        public DateTime? SERVICE_INFO_LAST_CHG { get; set; }

        /// <summary>
        ///    房间实时亮度
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间实时亮度")]
        public int REAL_BRIGHT { get; set; }


        /// <summary>
        ///    房间实时湿度
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间实时湿度")]
        public int REAL_HUMIDITY { get; set; }


        /// <summary>
        ///    房间实时湿度
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间实时温度")]
        public int REAL_TEMP { get; set; }



        /// <summary>
        ///    房间设定温度
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间设定温度")]
        public int SET_TEMP { get; set; }


        /// <summary>
        ///    空调电源状态
        /// </summary>
        [ Column(TypeName = "int"), Comment("空调电源状态")]
        public int AC_PWR { get; set; }



        /// <summary>
        ///    空调模式
        /// </summary>
        [ Column(TypeName = "int"), Comment("空调模式")]
        public int AC_MODE { get; set; }


        /// <summary>
        ///    空调风量
        /// </summary>
        [ Column(TypeName = "int"), Comment("空调风量")]
        public int AC_FAN { get; set; }


        /// <summary>
        ///    即时能耗
        /// </summary>
        [ Column(TypeName = "int"), Comment("即时能耗")]
        public int REAL_ENERGY_CONSUM { get; set; }



        /// <summary>
        ///    本次取电时间
        /// </summary>
        [ Column(TypeName = "datetime"), Comment("本次取电时间")]
        public DateTime? LAST_PWR_ON_MODE { get; set; }


        /// <summary>
        ///    本次取电方式（插卡或无插卡） 
        /// </summary>
        [Column(TypeName = "int"), Comment(" 本次取电方式（插卡或无插卡） ")]
        public int LAST_PWR_ON_STATUS { get; set; }

        /// <summary>
        ///   本次取电累计能耗（断电后清零） 
        /// </summary>
        [Column(TypeName = "int"), Comment(" 本次取电累计能耗（断电后清零）  ")]
        public int ENG_CON_FRM_PWRON { get; set; }


        /// <summary>
        ///   本次开房累计能耗（退房后清零）
        /// </summary>
        [ Column(TypeName = "int"), Comment(" 本次开房累计能耗（退房后清零） ")]
        public int ENG_CON_FRM_ROOMOPEN { get; set; }


        /// <summary>
        ///   RCU 公网IP
        /// </summary>
        [ Column(TypeName = "nvarchar(100)"), Comment(" RCU 公网IP  ")]
        public string RCU_PUBLIC_IP { get; set; }

        /// <summary>
        ///    RCU 本地端口 
        /// </summary>
        [ Column(TypeName = "nvarchar(100)"), Comment("RCU 本地端口   ")]
        public string RCU_LOCAL_PORT { get; set; }



        /// <summary>
        ///   RCU 内网IP地址
        /// </summary>
        [Column(TypeName = "nvarchar(100)"), Comment(" RCU 内网IP地址  ")]
        public string RCU_LOCAL_IP { get; set; }

        /// <summary>
        ///   房间错误标记 
        /// </summary>
        [ Column(TypeName = "int"), Comment("房间错误标记   ")]
        public int ROOM_ERR_MASK { get; set; }

        /// <summary>
        ///   房间警告标记 
        /// </summary>
        [Column(TypeName = "int"), Comment("房间警告标记   ")]
        public int ROOM_WARRNING_MASK { get; set; }


        /// <summary>
        /// 记录更新时间
        /// </summary>

        [Required, Column(TypeName = "datetime"), Comment("记录更新时间")]

        public DateTime UPDATE_TIMEMARK { get; set; }



        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string REMARK { get; set; }
    }
}
